--- 
- name: Create a new namespace to deploy the app 
  hosts: localhost # Voir RQ 2 
  tasks: 
    - name: Create a new name space 
      kubernetes.core.k8s :  # Module yésna3lk namespace .. 
        name: my-app 
        apiVersion: v1 
        kind: Namespace
        state: present
        kubeconfig: /path_to_kubeconfig_file  # Voir RQ 3 , 4 & 5 

- name: Deploy ngnix app in the new ns of the k8s cluster
  hosts: localhost # Voir RQ 2 
  tasks: 
    - name: Deploy ngnix app 
      kubernetes.core.k8s: 
        src: /path_to_yaml_deployement_file # path ta3 fichier deployement.yaml fih 2 composants : wé7éd deployement ta3 ngnix w lékhr service externe 
                                            # Capture (ngnix_deployement.yaml Part1 + 2 )
                                            # src : path fl local mté3na ..
        state: present 
        kubeconfig: /path_to_kubeconfig_file
        namespace: my-app # un composant kén mafaxinélouch namespace fl deployement mté3ou bch yétsna3 fl ns par default .. najm nhoto fl namespace jdid 
                          # avec ce paramètre 



